#ifndef COMMON_CK
#define COMMON_CK

namespace cmmn {

	double CheckF( double x, double y );

	extern double MinX, MaxX, MinY, MaxY, MinFV, MaxFV;

	extern const int n;
	extern int NLines;

	extern double ** gvf;
	extern int ** ckgvf;


	class TIPoint {
		public:

			int ix, iy;

			TIPoint(){ }
			TIPoint( TIPoint & c ){
				ix = c.ix;
				iy = c.iy;
				return;
			}

			virtual ~TIPoint(){ }

			TIPoint & operator = ( const TIPoint & a ){
				this->ix = a.ix;
				this->iy = a.iy;
				return *this;
			}

	};


	bool operator == ( const TIPoint & p, const TIPoint & q );


	extern TIPoint a, b, c, d;
	extern TIPoint InitPA, InitPB;

	enum class TstSquare { S0, S1, S2, S3, S4 };


}


#endif
